[
  ./alacritty
  ./autorandr
  ./bash
  ./firefox
  ./rofi
  ./tmate
  ./xresources
  ./hyprland
  {
    programs = {
      home-manager.enable = true;
      bat.enable = true;
      jq.enable = true;
      gpg.enable = true;
      swaylock.enable = true;

      eza = {
        enable = true;
        icons = true;
        git = true;
      };

      waybar = {
        enable = true;

        settings.mainbar = {
          layer = "top";
          position = "top";
          height = 30;

          modules-left = ["hyprland/workspaces"];
          modules-right = ["pulseaudio" "network" "cpu" "memory" "temperature" "battery" "clock" "tray"];
        };
      };

      atuin = {
        enable = true;
        flags = ["--disable-up-arrow"];
        settings = {
          enter_accept = false;
        };
      };

      direnv = {
        enable = true;
        nix-direnv.enable = true;
      };

      fzf = {
        enable = true;
        defaultCommand = "fd --type file --follow"; # FZF_DEFAULT_COMMAND
        defaultOptions = ["--height 20%"]; # FZF_DEFAULT_OPTS
        fileWidgetCommand = "fd --type file --follow"; # FZF_CTRL_T_COMMAND
      };

      zoxide = {
        enable = true;
        # nushell moves faster than zoxide updates
        enableNushellIntegration = false;
        options = ["--cmd" "cd"];
      };

      starship = {
        enable = true;
        # nushell moves faster than starship updates
        enableNushellIntegration = false;
        settings = {
          add_newline = false;
        };
      };

      git = {
        enable = true;
        userName = "Patrick Michl";
        userEmail = "patrick.michl@hetzner.com";

        signing = {
          key = "BFE0ACEE21CD5EB0";
          signByDefault = true;
        };

        extraConfig = {
          pull = {
            rebase = true;
          };
          merge = {
            tool = "nvim";
          };
          mergetool = {
            prompt = false;
          };
        };
      };
    };
  }
]
